#include "redica.h"
#include <bits/stdc++.h>
using namespace std;

void vvv(vector<int>& v1, int s, int k, int n) {
    if(v1.size() == n) {
        if(s == 0) submit(v1);
        return;
    }
    if(s <= 0) {
        return;
    }
    for(int i = 1; i <= min(s, k); i++) {
        v1.push_back(i);
        vvv(v1, s - i, k, n);
        v1.pop_back();
    }
}

void solve(int N, int K, int S) {
    vector<int> ans;
    for(int i = 1; i <= N; i++) {
        if(N - i <= 5) vvv(ans, S, K, N);
        int t = query();
        S -= t;
        ans.push_back(t);
    }
    submit(ans);
}
